Subject: Re: Listviews and windows
From: [email-masked]
To: [email-masked]
Date: Sun, 25 Jul 93 15:20:16 PDT

>>>     I have been using E for about a month, and in that time have run into a
>>> few problems (bugs? or just ignorance? :-)
>
>judge for yourselves... :-)

    Ahhh....so just ignorance :-)  Unfortunately I do not have any
documentation except for the docs that came with E and a bunch of source code.
which I have gotten from different sources. (still looking for more)

>AddTail(mylist,[...data..for..new..node...])
>
>a structure like [] is a static structure, i.e. the memory it's
>in is not created at run time. because of this, every iteration
>of your loop, you overwrite the previous values, and pass the
>same structure to AddTail()! Instead, allocate each time a new node
>
>New(SIZEOF ln)
>
>and then fill it, and pass it to AddTail().

    Great...this looks doable. I can usually tell what someone is talking
about, but can't do it myself without help until I have done something like it
once before...I get this..should be very easy.  Will have to test it out.

>I have no clue what's crashing your machine, I'd need the code for that.
>
>I can help you with the windows, though:
>Here's how you wait for messages from various windows:
>
>method one:
>
>- OR the sigbits from all windows involved into a variable "allsigs"
>- in a loop, perform a Wait(allsigs)
>- in a loop within that one, call GetMsg() in sequence on items
>  of a list of ports (window.userport), until all have been processed.
>
>you can see from intuimessage.idcmpwindow which window
>actually caused the message.

    I got this one to work perfectly, taking only about 10 minutes to modify
my code and get it all set up. Unfortunately, it took me about an hour to find
the module in which "mp" was in. Finally did tho! 

>method two.
>
>if you don't want to wait for more than one port, you can CreatePort()
>your own, and connect all windows you open with this one port.
>you'll then receive all messages here, and can decide which it
>was from like in method one. How this is done in detail is
>on page 254 of the RKRM libraries 3rd ed.

    This was the one my friend was doing which crashed his machine.  We both
run 3.0 (I have an A4K and he has an A1200) so perhaps it is a bug in 3.0.
Does not matter as we now have what we need.

>>> *-- GammaTag Version 2.8 --*
>>> *-- *-- DOS ERROR: Please remove cat from drive DF0:...
>
>miauw!

    GammaTag is what I _WAS_ working on.  V2.8 and below was in ARexx. 3.0
never got above 0.06 (3.0V).  

/*-- The Gamma Quadrant -- Home of GammaSoft --*/ 
DEF wizkid
PROC main()
  wizkid.inetaddress:=[email-masked]'
  wizkid.realname:='Jeffrey J Peden ]['
ENDPROC

*-- GammaTag Version 2.8 --*
*-- A hole is nothing, but you can break your neck in it.